#!/bin/sh -e
ME=archive
MEGROUP=list

case "$1" in
  configure)


    adduser --system --home /var/lib/lists-archives/ --ingroup $MEGROUP --shell /bin/sh $ME &> /dev/null
    echo "Adduser archive"

    cd /var/lib/lists-archives
    if [ ! -f searchlists.log ]
    then
	touch searchlists.log
    fi
    if ! chown www-data.daemon searchlists.log; then true; fi
    if [ ! -f /etc/lists-archives/index.html ]
    then
	if ! cp -a /usr/share/doc/lists-archives/examples/index.html \
	    /etc/lists-archives/index.html; then true; fi
    fi
    if [ ! -f /etc/lists-archives/conf.pl ]
    then
	if ! cp -a /usr/share/doc/lists-archives/examples/conf.pl \
	    /etc/lists-archives/conf.pl; then true; fi
    fi
    rm -f timestamp
    echo -n "Rebuilding master index page ... "
    /usr/lib/lists-archives/updatemail -x
    echo "done."
    if [ ! -f log ]
    then
	touch log
    fi
    if [ -d /usr/doc -a ! -e /usr/doc/lists-archives \
       -a -d /usr/share/doc/lists-archives ]; then
       ln -sf ../share/doc/lists-archives /usr/doc/lists-archives
    fi
    #chown daemon.daemon /var/lib/lists-archives
    #chown -R daemon.list /var/lib/lists-archives/archives
    #chown -R daemon.list /var/lib/lists-archives/glimpse
    #chown -R daemon.list /var/lib/lists-archives/lists
    #chown -R daemon.list /var/lib/lists-archives/log
    #chmod -R ug+rwX,o+rX /var/lib/lists-archives/archives
    #chmod -R ug+rwX,o+rX /var/lib/lists-archives/glimpse
    #chmod -R ug+rwX,o+rX /var/lib/lists-archives/lists
    #chmod -R ug+rwX,o+rX /var/lib/lists-archives/log

    chown $ME.$MEGROUP /var/lib/lists-archives
    chown -R $ME.$MEGROUP /var/lib/lists-archives/archives
    chown -R $ME.$MEGROUP /var/lib/lists-archives/glimpse
    chown -R $ME.$MEGROUP /var/lib/lists-archives/lists
    chown -R $ME.$MEGROUP /var/lib/lists-archives/log
    chmod -R ug+rwX,o+rX /var/lib/lists-archives/archives
    chmod -R ug+rwX,o+rX /var/lib/lists-archives/glimpse
    chmod -R ug+rwX,o+rX /var/lib/lists-archives/lists
    chmod -R ug+rwX,o+rX /var/lib/lists-archives/log
    echo "Building full webpages in background ... "
    /etc/cron.daily/lists-archives &
    ;;

  abort-upgrade|abort-remove|abort-deconfigure)
    exit 0
    ;;

  *)
    echo "$0 called with unknown argument \`$0 configure'" >&2
    exit 0
    ;;
esac
